$(document).ready(function () {

    //Hide Loading Box (Preloader)
    function handlePreloader() {
        if ($('.preloader').length) {
            $('.preloader').delay(200).fadeOut(500);
        }
    }


    //Update header style + Scroll to Top
    function headerStyle() {
        if ($('.main-header').length) {
            var windowpos = $(window).scrollTop();
            if (windowpos >= 250) {
                $('.main-header').addClass('fixed-header');
                $('.scroll-to-top').fadeIn(300);
            } else {
                $('.main-header').removeClass('fixed-header');
                $('.scroll-to-top').fadeOut(300);
            }
        }
    }

    headerStyle();


    //Submenu Dropdown Toggle
    if ($('.main-menu li.dropdown ul').length) {
        $('.main-menu li.dropdown').append('<div class="dropdown-btn"><span class="fa fa-angle-down"></span></div>');

        //Dropdown Button
        $('.main-menu li.dropdown .dropdown-btn').on('click', function () {
            $(this).prev('ul').slideToggle(500);
        });


        //Disable dropdown parent link
        $('.navigation li.dropdown > a').on('click', function (e) {
            e.preventDefault();
        });
    }

    //$(document).ready(function () {
    //    $("a[data-gal^='prettyPhoto']").prettyPhoto({
    //        theme: 'facebook'
    //    });
    //});
    //Search Popup
    if ($('#search-popup').length) {

        //Show Popup
        $('.search-box-btn').on('click', function () {
            $('#search-popup').addClass('popup-visible');
        });

        //Hide Popup
        $('.close-search').on('click', function () {
            $('#search-popup').removeClass('popup-visible');
        });
    }



    $(window).on('load', function () {
        handlePreloader();
    });


    //$(document).ready(function () {
    //    $('.sorttablenone').DataTable({
    //        "paging": false,   //paging , sshow entry
    //        "ordering": false,   //shorting
    //        "info": false,    //bottom information
    //        "filter": false,     //filter or search
    //    });
    //});

    //$(document).ready(function () {
    //    $('.sorttable').DataTable({
    //        "paging": false,   //paging , sshow entry
    //        "info": false,    //bottom information
    //        "filter": false,     //filter or search
    //    });
    //});
    //$(document).ready(function () {
    //    $('.sorttablepagi').DataTable({
    //        "filter": false,     //filter or search
    //    });
    //});
    //$(document).ready(function () {
    //    $('.allsorttable').DataTable({
    //    });
    //});

    //$(document).ready(function () {
    //    $('.sorttablepagifilt').DataTable({
    //        "ordering": false,   //shorting      
    //    });
    //});


    $(document).ready(function () {
        $('#clickme').click(function () {
            $('.leftmenu').toggle("slide");
            return false;
        });
        $("#clickme").click(function () {
            $("#rightx").toggleClass("col-sm-10 colff");
        });
        if ($(window).width() > 768) {
        }
        if ($(window).width() < 768) {

        }
    });
    $(".blocksim").mouseover(function () {
        $(this).children(".desshow").show();
    }).mouseout(function () {
        $(this).children(".desshow").hide();
    });
});(window.jQuery);